import request from "@/utils/request";
export default class placeRegister {
    //场所提交
    sava(inputFrom) {
        return request.post(
            `/religioussites/siteinfo/religiousSitesInfo/save`,
            inputFrom
        )
    };
    //所属场所
    queryById(id) {
        return request.get(
            `/religioussites/siteinfo/religiousSitesInfo/queryById`, { id: id }
        )
    };
    //地点
    treeDate(params) {
        return request.get(
            `/tools/area_yc/treeData`,
            params
        )
    };
    //搜索接口
    searchlist(params) {
        return request.get(
            `/religioussites/siteinfo/religiousSitesInfo/searchlist`,
            params
        )
    };
    //公安、宗教部门
    list(params) {
        return request.get(
            `/sys/user/list`,
            params
        )
    };
    //机构
    treeDate2(params) {
            return request.get(
                `/sys/office/treeData`,
                params
            )
        }
        //场所列表
    religiousList(params) {
        return request.get(
            `/religioussites/siteinfo/religiousSitesInfo/list`,
            params
        )
    };
    //获取互联网专区
    queryInternetBySiteId(id) {
        return request.get(
            `/religioussites/siteinfo/religiousSitesInfo/queryInternetBySiteId`, { id: id }
        )
    }

}